Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Class UlcSocketTransport

    java.lang.Object
      |
      +--com.ibm.ulc.comm.UlcTransport
            |
            +--com.ibm.ulc.comm.UlcSocketTransport

public class UlcSocketTransport
extends UlcTransport

An implemention for ULC transports using sockets.

See Also:
  `UlcTransport`, Serialized Form

Fields inherited from class com.ibm.ulc.comm.UlcTransport
`fConnection, fgDebug, fTerminated, fWriterQueue`

Constructor Summary
`UlcSocketTransport()` UlcSocketTransport constructor.
`UlcSocketTransport(java.net.Socket socket)` UlcSocketTransport constructor.
`UlcSocketTransport(java.lang.String urlString)` UlcSocketTransport constructor.

Method Summary
`java.net.Socket` | `createSocket(java.lang.String urlString)` Factory method for creating sockets
`java.lang.String` | `getLocalUrlString()`
`java.lang.String` | `getRemoteUrlString()`
`java.net.Socket` | `getSocket()`
`protected void` | `initPeerConnection()` Initialize connection to peer if necessary.
`boolean` | `readsAsynch()`
`protected void` | `sendDirect(Request r, boolean flush)`
`protected void` | `termPeerConnection()`
`boolean` | `writesAsynch()`

Methods inherited from class com.ibm.ulc.comm.UlcTransport
`close, create, getConnection, getHost, getPort, getProperties, getUrlFile, getUrlString, receive, send, setConnection, setUrlString, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UlcSocketTransport

    public UlcSocketTransport()

  UlcSocketTransport constructor.

### UlcSocketTransport

    public UlcSocketTransport(java.lang.String urlString)

  UlcSocketTransport constructor. Will use the passed in URL to create a socket connection.
  Parameters:
    `urlString` - java.lang.String

### UlcSocketTransport

    public UlcSocketTransport(java.net.Socket socket)

  UlcSocketTransport constructor. Will use the passed in socket for connection.

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String urlString)
                                 throws java.net.UnknownHostException,
                                        java.io.IOException

  Factory method for creating sockets

### getLocalUrlString

    public java.lang.String getLocalUrlString()

  Overrides:
    getLocalUrlString in class UlcTransport

### getRemoteUrlString

    public java.lang.String getRemoteUrlString()

  Overrides:
    getRemoteUrlString in class UlcTransport

### getSocket

    public java.net.Socket getSocket()

### initPeerConnection

    protected void initPeerConnection()
                               throws UlcTransportException

  Initialize connection to peer if necessary.
  Overrides:
    initPeerConnection in class UlcTransport

### readsAsynch

    public boolean readsAsynch()

  Overrides:
    readsAsynch in class UlcTransport

### sendDirect

    protected void sendDirect(Request r,
                              boolean flush)

  Overrides:
    sendDirect in class UlcTransport

### termPeerConnection

    protected void termPeerConnection()

  Overrides:
    termPeerConnection in class UlcTransport

### writesAsynch

    public boolean writesAsynch()

  Overrides:
    writesAsynch in class UlcTransport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD